# The main loop that controlls the state machine of the spawn system. Played in tick.json
# The doctors office area
# -456 -51 -1753 -446 -47 -1762
# x=-456.0,y=-51.0,z=-1753.0,dx=10,dy=4,dz=-9
scoreboard players set HAS_PLAYER_IN_DOCTORS_OFFICE var 0
execute if entity @a[m=!creative,x=-456.0,y=-51.0,z=-1753.0,dx=10,dy=4,dz=-9] run scoreboard players set HAS_PLAYER_IN_DOCTORS_OFFICE var 1
# The corridor area
# -455 -47 -1752 -447 -51 -1659
# x=-455.0,y=-47.0,z=-1752.0,dx=8,dy=-4,dz=93
scoreboard players set HAS_PLAYER_IN_CORRIDOR var 0
execute if entity @a[m=!creative,x=-455.0,y=-47.0,z=-1752.0,dx=8,dy=-4,dz=93] run scoreboard players set HAS_PLAYER_IN_CORRIDOR var 1
# When there is player the corridor run the flickering light system
execute if score HAS_PLAYER_IN_CORRIDOR var matches 1 run function flicker/random
# The door can be opend in the doctor's dialogue
# Close the door if !HAS_PLAYER_IN_DOCTORS_OFFICE && HAS_PLAYER_IN_CORRIDOR
execute if score HAS_PLAYER_IN_DOCTORS_OFFICE var matches 0 if score HAS_PLAYER_IN_CORRIDOR var matches 1 run function hospital/close_spawn_door
# The bedrock box
# -438 -44 -1763 -464 -53 -1631
# x=-438.0,y=-44.0,z=-1763.0,dx=-26,dy=-9,dz=132
# Adjust the player's gamemode in and out of the bedrock box
tag @a remove in_bedrock_box
tag @a[x=-438.0,y=-44.0,z=-1763.0,dx=-26,dy=-9,dz=132] add in_bedrock_box
gamemode adventure @a[tag=in_bedrock_box,m=survival]
gamemode survival @a[tag=!in_bedrock_box,m=adventure]
# The bright area
# -454 -51 -1647 -448 -47 -1633
# x=-454.0,y=-51.0,z=-1647.0,dx=6,dy=4,dz=14
tag @a[m=!creative,x=-454.0,y=-51.0,z=-1647.0,dx=6,dy=4,dz=14] add teleport_to_wooden_hut
execute as @a[m=!creative,tag=teleport_to_wooden_hut] at @s run function hospital/tick/tick_wooden_hut_tp